Show / Hide Table of Contents

# Struct RetainerManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct RetainerManager

### Fields

| Improve this Doc View Source

#### DisplayOrder

##### Declaration

    public byte *DisplayOrder

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### Ready

##### Declaration

    public byte Ready

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Retainer

##### Declaration

    public RetainerManager.RetainerList Retainer

##### Field Value

Type | Description
--- | ---
RetainerManager.RetainerList |

| Improve this Doc View Source

#### RetainerCount

##### Declaration

    public byte RetainerCount

##### Field Value

Type | Description
--- | ---
System.Byte |

### Methods

| Improve this Doc View Source

#### GetRetainerBySortedIndex(UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 48 85 C0 74 05 4C 39 20")]
    public RetainerManager.RetainerList.Retainer*GetRetainerBySortedIndex(uint sortedIndex)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | sortedIndex |

##### Returns

Type | Description
--- | ---
RetainerManager.RetainerList.Retainer* |

| Improve this Doc View Source

#### Instance()

##### Declaration

    [StaticAddress("48 83 EC 20 48 8D 0D ?? ?? ?? ?? 0F B7 DA", 0, false)]
    public static RetainerManager*Instance()

##### Returns

Type | Description
--- | ---
RetainerManager* |